> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/reference/promo-code-exception-lists/promo-code-exception-lists.md).

# Promo Code Exception Lists

## Create a Promo Code Exception List

> Creates a new, empty list for promo codes that will have exceptional payout rates.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Promo Code Exception Lists","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"responses":{"SuccessUriResponse":{"description":"The request was successful.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the operation was successful."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to the affected resource."}}}}}}}},"paths":{"/Advertisers/{AccountSID}/PromoCodeExceptionLists":{"post":{"summary":"Create a Promo Code Exception List","description":"Creates a new, empty list for promo codes that will have exceptional payout rates.","operationId":"createPromoCodeExceptionList","tags":["Promo Code Exception Lists"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","required":["ActionTrackerId","CampaignId","Name"],"properties":{"ActionTrackerId":{"type":"string","description":"Comma-separated list of event type IDs to associate with this list."},"CampaignId":{"type":"string","description":"The program ID this list applies to."},"Name":{"type":"string","description":"The name for the new exception list."}}}}}},"responses":{"200":{"$ref":"#/components/responses/SuccessUriResponse"}}}}}}
```

## Get Promo Code Exception List Details

> Retrieves the details of an existing promo code exception list by its unique ID.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Promo Code Exception Lists","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"PromoCodeExceptionList":{"type":"object","properties":{"Id":{"type":"string","description":"The unique identifier for the promo code exception list."},"Name":{"type":"string","description":"The display name for the exception list."},"State":{"type":"string","description":"The current state of the exception list.","enum":["ACTIVE","CLOSED","DEACTIVATED"]},"CampaignId":{"type":"string","description":"The program ID the list applies to."},"CreatedDate":{"type":"string","format":"date-time","description":"The date and time the list was created."},"DeactivationDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the list was deactivated, if applicable."},"ActionTrackers":{"type":"array","description":"The action trackers (event types) this list applies to.","items":{"type":"object","properties":{"Id":{"type":"string","description":"The unique identifier for the action tracker."},"Name":{"type":"string","description":"The display name of the action tracker."}}}},"NumberOfItems":{"type":"string","description":"The total number of items in the list."},"ItemsUri":{"type":"string","format":"uri-reference","description":"The unique reference to the items collection for this list."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this exception list in the impact.com API."}}}}},"paths":{"/Advertisers/{AccountSID}/PromoCodeExceptionLists/{ListId}":{"get":{"summary":"Get Promo Code Exception List Details","description":"Retrieves the details of an existing promo code exception list by its unique ID.","operationId":"getPromoCodeExceptionListById","tags":["Promo Code Exception Lists"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"ListId","in":"path","required":true,"description":"The unique identifier for the promo code exception list.","schema":{"type":"string"}}],"responses":{"200":{"description":"A single promo code exception list object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PromoCodeExceptionList"}}}}}}}}}
```

## Update a Promo Code Exception List

> Updates the specified promo code exception list's name or associated action trackers.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Promo Code Exception Lists","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"responses":{"SuccessUriResponse":{"description":"The request was successful.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the operation was successful."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to the affected resource."}}}}}}}},"paths":{"/Advertisers/{AccountSID}/PromoCodeExceptionLists/{ListId}":{"put":{"summary":"Update a Promo Code Exception List","description":"Updates the specified promo code exception list's name or associated action trackers.","operationId":"updatePromoCodeExceptionList","tags":["Promo Code Exception Lists"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"ListId","in":"path","required":true,"description":"The unique identifier for the promo code exception list.","schema":{"type":"string"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"ActionTrackerId":{"type":"string","description":"A new comma-separated list of event type IDs."},"Name":{"type":"string","description":"A new name for the exception list."}}}}}},"responses":{"200":{"$ref":"#/components/responses/SuccessUriResponse"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/reference/promo-code-exception-lists/promo-code-exception-lists.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
